package cn.iocoder.yudao.module.rescue.mapper;

import cn.iocoder.yudao.module.rescue.domain.RescueDriverInfo;
import cn.iocoder.yudao.module.rescue.domain.RescueInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ruoyi
 * @date 2023-07-18
 */
@Mapper
public interface RescueDriverInfoMapper  extends BaseMapper<RescueDriverInfo>
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public RescueDriverInfo selectRescueDriverInfoById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param rescueDriverInfo 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<RescueDriverInfo> selectRescueDriverInfoList(RescueDriverInfo rescueDriverInfo);

    /**
     * 新增【请填写功能名称】
     *
     * @param rescueDriverInfo 【请填写功能名称】
     * @return 结果
     */
    public int insertRescueDriverInfo(RescueDriverInfo rescueDriverInfo);

    /**
     * 修改【请填写功能名称】
     *
     * @param rescueDriverInfo 【请填写功能名称】
     * @return 结果
     */
    public int updateRescueDriverInfo(RescueDriverInfo rescueDriverInfo);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteRescueDriverInfoById(Long id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRescueDriverInfoByIds(Long[] ids);

    List<RescueInfo> driverRescueList(@Param("driverId") Long driverId);
    List<RescueInfo> driverRescuePage(RescueInfo rescueInfo);

    IPage<RescueInfo> driverRescueList2(@Param("driverId") Long driverId, Page<RescueInfo> page);
    IPage<RescueInfo> driverRescuePage2(@Param("map") RescueInfo rescueInfo, Page<RescueInfo> page);

    int dqrList(Long driverId);

}
